# Generated by Django 2.2.17 on 2021-06-25 18:18

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shuup', '0084_tracking_url'),
        ('canvas', '0008_storeextra_field_not_required'),
    ]

    operations = [
        migrations.CreateModel(
            name='SyncedObject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('square_id', models.CharField(help_text="Square's identifier for the record (unknown till after upsert)", max_length=50, null=True)),
                ('is_synced', models.BooleanField(default=False, help_text='Indicate if the object needs to be synced.')),
                ('version', models.BigIntegerField(null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SyncedStoreLocation',
            fields=[
                ('syncedobject_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='canvas.SyncedObject')),
                ('supplier', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='synced_location', to='shuup.Supplier')),
            ],
            options={
                'abstract': False,
            },
            bases=('canvas.syncedobject',),
        ),
        migrations.CreateModel(
            name='SyncedShopProduct',
            fields=[
                ('syncedobject_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='canvas.SyncedObject')),
                ('standalone_square_id', models.CharField(help_text='Identifier for the sellable part of the product, even if there is no Shuup variation parent.', max_length=50, null=True)),
                ('standalone_version', models.BigIntegerField(help_text='The Item (non-sellable) version is different from the ItemVariation (sellable) version. So a ShopProduct that is not a parent or child will need to maintain both versions.', null=True)),
                ('shop_product', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='synced_shop_product', to='shuup.ShopProduct')),
            ],
            options={
                'abstract': False,
            },
            bases=('canvas.syncedobject',),
        ),
        migrations.CreateModel(
            name='SyncedCategory',
            fields=[
                ('syncedobject_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='canvas.SyncedObject')),
                ('category', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='synced_category', to='shuup.Category')),
            ],
            options={
                'verbose_name_plural': 'synced categories',
            },
            bases=('canvas.syncedobject',),
        ),
    ]
